Bug 473024 - The evolution crashed after create new folder in "New Search Folder" feature
The evolution crashed after create new folder in "New Search Folder" feature
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.2.z
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Crha
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 00:06 EST by Golita Yue
Modified: 2009-09-02 05:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash file (12.26 KB, text/plain)
2008-11-26 00:06 EST, Golita Yue
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 504767 None None None Never

  None (edit)
Description Golita Yue 2008-11-26 00:06:35 EST
Created attachment 324692 [details]
crash file

Description of problem:
Evolution crashed after create new folder by "New Search Folder"-> "Add"-> "New" actions. 

Version-Release number of selected component (if applicable):
evolution-2.12.3-8.el5_2.3 

How reproducible:
every time

Steps to Reproduce:
1.Launch Evolution
2.Click  Search -> Create Search Folder From Search
3.Select "Specific folders" in "Search Folder Sources" section
4.Press "Add" button in "Search Folder Sources" section
5.Click "New", then "Create folder" view display. But cannot input or click anything in this view
6.Close "Select Folder" view firstly.
7.Go back to "Create folder" view, input Folder name-> specify where to create folder-> click "Create" button

  
Actual results:
The evolution crashed

Expected results:
The evolution didn't crash.

Additional info:
crash files
Comment 1 Golita Yue 2008-11-26 21:34:00 EST
This error can be reproduced in evolution-2.12.3-8.el5_2.2.i386
Comment 2 Matthew Barnes 2009-02-12 15:08:49 EST
Confirming.  Good reproducer instructions.  Proposing for 5.4.
Comment 3 Milan Crha 2009-03-04 04:43:49 EST
Corresponding upstream bug with some patch, which will need testing on 2.12.3.
http://bugzilla.gnome.org/show_bug.cgi?id=504767
Comment 5 Milan Crha 2009-03-17 13:26:23 EDT
OK, I just tried the exact steps on actual trunk evolution, which is almost 2.26.0, and with your above steps it crashes too. So the patch from the upstream bug was unrelated to that. I reopened the upstream bug and will investigate more.
Comment 6 Milan Crha 2009-03-18 07:50:42 EDT
I managed to produce the correct patch upstream and backported it.
Comment 9 zhanghaiyan 2009-06-09 02:52:47 EDT
The bug can not be reproduced on RHEL5.4 with below packages:
evolution-2.12.3-18.el5
evolution-data-server-1.12.3-17.el5
evolution-connector-2.12.3-10.el5
Comment 11 errata-xmlrpc 2009-09-02 05:16:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1260.html

Note You need to log in before you can comment on or make changes to this bug.